Skip to main content
PUT
/
orgs
/
{org_id}
/
iam
/
users
/
roles
cURL
curl --request PUT \
  --url https://api.timbal.ai/orgs/{org_id}/iam/users/roles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "users": [
    {
      "attachments": [
        {
          "role_id": 123,
          "scope": "<string>"
        }
      ],
      "user_id": 123
    }
  ]
}
'
import requests

url = "https://api.timbal.ai/orgs/{org_id}/iam/users/roles"

payload = { "users": [
        {
            "attachments": [
                {
                    "role_id": 123,
                    "scope": "<string>"
                }
            ],
            "user_id": 123
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({users: [{attachments: [{role_id: 123, scope: '<string>'}], user_id: 123}]})
};

fetch('https://api.timbal.ai/orgs/{org_id}/iam/users/roles', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


null

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required

Body

application/json
users
object[]
required

Per-member desired attachment sets. Applied atomically: if any entry is rejected the whole request fails and nothing is written. A member may not appear twice and may not be the caller.

Response

Attachments updated